/v1/projects/{projectId}/agent (PATCH)
PATCH
/v1/projects/{projectId}/agent
const url = 'https://service.testing.nairon.cloud/v1/projects/example/agent';const options = { method: 'PATCH', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"name":"example","languages":["example"],"profile":"fast","voiceId":"example","transcriptionDictionary":["example"]}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PATCH \ --url https://service.testing.nairon.cloud/v1/projects/example/agent \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "name": "example", "languages": [ "example" ], "profile": "fast", "voiceId": "example", "transcriptionDictionary": [ "example" ] }'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”projectId
required
string format: cuid
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
name
string
languages
Array<string>
profile
string
voiceId
string
transcriptionDictionary
Array<string>
Responses
Section titled “Responses”Default Response
Media typeapplication/json
object
id
required
string format: cuid
projectId
required
string format: cuid
name
required
string
languages
required
Array<string>
profile
required
string
voice
required
object
id
required
string
name
required
string
transcriptionDictionary
required
Array<string>
Example
{ "profile": "fast"}